Bug 199801 - postfix-hostname-fqdn.patch still needed? Also it uses deprecated gethostby* functions
postfix-hostname-fqdn.patch still needed? Also it uses deprecated gethostby* ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: postfix (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-22 06:06 EDT by Peter Bieringer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-24 10:47:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2006-07-22 06:06:47 EDT
Description of problem:
During discussions on postfix-devel core developer Victor Duchovni get noticed
about the patch postfix-hostname-fqdn.patch in RH's postfix package and was not
very amused.

Unfortunately, I do not know about any archive of postfix-devel so search for

From: Victor Duchovni <Victor.Duchovni@MorganStanley.com>
To: postfix-devel@postfix.org
Subject: Re: postfix at least to 2.2.10 uses (on Linux) deprectated gethostby*
functions which causes strange and unwanted AAAA DNS lookups
Date: 21.07.2006 16:34


Also, this patch uses deprecated gethostbyname function.

Version-Release number of selected component (if applicable):
postfix-2.2.10 and below

Actual results:
Patch included


Expected results:
Patch excluded or at least updated
Comment 1 Thomas Woerner 2006-07-24 10:47:18 EDT
Dropped patch.

Fixed in rawhide in package postfix-2.3.0-1 or newer.

Note You need to log in before you can comment on or make changes to this bug.